[arch-commits] Commit in python-pygame/trunk (PKGBUILD config.patch)

Andrea Scarpino andrea at archlinux.org
Mon Jan 18 08:33:35 UTC 2010


    Date: Monday, January 18, 2010 @ 03:33:35
  Author: andrea
Revision: 63633

upgpkg: python-pygame 1.9.1-2
    libpng rebuild

Added:
  python-pygame/trunk/config.patch
Modified:
  python-pygame/trunk/PKGBUILD

--------------+
 PKGBUILD     |   13 +++++++++----
 config.patch |   26 ++++++++++++++++++++++++++
 2 files changed, 35 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-18 08:19:37 UTC (rev 63632)
+++ PKGBUILD	2010-01-18 08:33:35 UTC (rev 63633)
@@ -1,11 +1,12 @@
 # $Id$
-# Maintainer: Douglas Soares de Andrade <douglas at archlinux.org>
+# Maintainer:
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
 # Contributor: Eric Belanger <eric at archlinux.org>
 # Contributor: john(?)
 
 pkgname=python-pygame
 pkgver=1.9.1
-pkgrel=1
+pkgrel=2
 pkgdesc="Python game library"
 arch=('i686' 'x86_64')
 url="http://www.pygame.org/"
@@ -13,10 +14,15 @@
 depends=('python' 'sdl_mixer' 'libvorbis' 'sdl_ttf' 'sdl_image' 'smpeg')
 replaces=('pygame')
 provides=('pygame')
-source=(http://pygame.org/ftp/pygame-${pkgver}release.tar.gz)
+source=(http://pygame.org/ftp/pygame-${pkgver}release.tar.gz
+	'config.patch')
+md5sums=('1c4cdc708d17c8250a2d78ef997222fc'
+         'aaa668f3cd710d8604114501ea6a6f48')
 
 build() {
     cd ${srcdir}/pygame-${pkgver}release
+    patch -Np0 -i ${srcdir}/config.patch || return 1
+    python config.py -auto
     python setup.py install --root=${pkgdir} --prefix=/usr
 
     # Copying the examples and tests
@@ -26,4 +32,3 @@
     # Fixing permissions
     chmod 644 ${pkgdir}/usr/include/python2.6/pygame/*
 }
-md5sums=('1c4cdc708d17c8250a2d78ef997222fc')

Added: config.patch
===================================================================
--- config.patch	                        (rev 0)
+++ config.patch	2010-01-18 08:33:35 UTC (rev 63633)
@@ -0,0 +1,26 @@
+Index: config_unix.py
+===================================================================
+--- config_unix.py	(revision 2567)
++++ config_unix.py	(working copy)
+@@ -174,7 +174,7 @@
+ 
+     for d in DEPS[1:]:
+         if not d.found:
+-            if not confirm("""
++            if "-auto" not in sys.argv and not confirm("""
+ Warning, some of the pygame dependencies were not found. Pygame can still
+ compile and install, but games that depend on those missing dependencies
+ will not run. Would you like to continue the configuration?"""):
+Index: config_msys.py
+===================================================================
+--- config_msys.py	(revision 2567)
++++ config_msys.py	(working copy)
+@@ -283,7 +283,7 @@
+     
+     for d in DEPS[1:]:
+         if not d.found:
+-            if not confirm("""
++            if "-auto" not in sys.argv and not confirm("""
+ Warning, some of the pygame dependencies were not found. Pygame can still
+ compile and install, but games that depend on those missing dependencies
+ will not run. Would you like to continue the configuration?"""):




More information about the arch-commits mailing list